APIFlights

Export visible flights

GET
/api/v1/flights/export

Authorization

bearerAuth flight.export.own
headerAuthorizationBearer <API key or OAuth 2.1 access token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

Scope: flight.export.own

Query Parameters

format?string
Default"json"
Value in"json""yaml""yml"
scope?string

Flight ownership scope.

Default"mine"
Value in"mine""user""all"
userId?string

User ID required when scope=user.

Response Body

AirTrail backup.

  1. response
Example Request
curl -X GET 'https://your-instance.example/api/v1/flights/export'
Example Response
{}